###################
# ROUTES          #
###################
- name: Create route
  k8s:
    definition:
      kind: Route
      apiVersion: route.openshift.io/v1
      metadata:  
        name: nginx
        namespace: '{{ namespace }}'
        annotations:
          cern.ch/sso.basic-authorization: 'CERN Registered,CERN Shared,HEP Trusted,Verified External,Unverified External'
          cern.ch/sso.saml2metadata: '/simplesaml/module.php/saml/sp/metadata.php/cern-sp'
        labels:
          app: d8-infra
          cern.ch/sso-registration: SAML2Online
      spec:
        host: '{{ namespace }}.web.cern.ch'
        port:
          targetPort: 8080-tcp
        to:
          kind: Service
          name: nginx
        tls:
          termination: edge
          insecureEdgeTerminationPolicy: Redirect